Go Back   TechArena Community > Software > Operating Systems
Become a Member!
Forgot your username/password?
Tags Active Topics RSS Search Mark Forums Read

Sponsored Links



Gentoo: "emerge --sync" broke portage 2008.x version links on server

Operating Systems


Reply
 
Thread Tools Search this Thread
  #1  
Old 02-06-2011
Member
 
Join Date: Apr 2011
Posts: 64
Gentoo: "emerge --sync" broke portage 2008.x version links on server
  

Well I have installed Gentoo on the computer of mine. I am looking to install some util package and simply upgrade the same to the recent version. I have noticed that all the future emerge package operation which is seems to be generating an error message on the screen. I want to make the update without doing full update of Gentoo on the computer of mine? Let me know if you are having any specific solution to fix the matter of mine. Thanks a lot in advance.

Reply With Quote
  #2  
Old 02-06-2011
Member
 
Join Date: May 2008
Posts: 991
Re: Gentoo: "emerge --sync" broke portage 2008.x version links on server

In order to get the root cause of the I need to know some more information so that I can figure out the root cause of the problem and let you know about the possible solution to fix the matter of yours. I am suggesting that you should execute the below mentioned command on the terminal and let me know the output of the same.
Code:
# emerge --info 
# eselect profile list
Also tell me about the computer configuration and the error message which you are getting on the computer? So answer the above mentioned question as early as possible.
Reply With Quote
  #3  
Old 02-06-2011
Member
 
Join Date: May 2008
Posts: 1,020
Re: Gentoo: "emerge --sync" broke portage 2008.x version links on server

Well I let you know that if you are looking to install the latest version of the program then you might need to use latest version of the dependencies and kernel. If you are looking to have portage which supports EAPI2 to emerge the program. portage with EAPI2 would use python 2.6. so I think it would be necessary to update the Gentoo which you have installed on the computer of yours. you will be able to install the latest version of program without using the Gentoo tools. However it would update the program on the computer of yours.
Reply With Quote
  #4  
Old 02-06-2011
Member
 
Join Date: Nov 2009
Posts: 824
Re: Gentoo: "emerge --sync" broke portage 2008.x version links on server

I have begin with the upgrading process of the Portage. If the ebuilds is updating the Portage tree then it would be quite modern for the current installation and simply synchronize the portage tree with the older state. You would step up until and unless there is no issue with the working of the emerge ?sync. I recommend that you should update the tree at the regular interval so that you will not face the issue which you have mentioned over here.
Reply With Quote
  #5  
Old 02-06-2011
Member
 
Join Date: Apr 2009
Posts: 967
Re: Gentoo: "emerge --sync" broke portage 2008.x version links on server

I think you have not replaced Portage. You should have Portage 2.1.4.5. you have replaced the packages of the tree on the computer of yours. it might break the applications which you are supposed to care about. I mean it would be harmful for the system of yours if you are supposed to do the installation of the package without updating the core system of yours. so I am agree with the updating the core system of yours which is mentioned by one of the users.
Reply With Quote
  #6  
Old 02-06-2011
Member
 
Join Date: Nov 2009
Posts: 754
Re: Gentoo: "emerge --sync" broke portage 2008.x version links on server

Well I am suspecting that the profile is deprecated and it has removed after the long period of the deprecation. You can select the profile is selected back when it was the current and the preferred profile. Whenever you update the tree the deprecation period and the profile would gone from the system. If you have done with the update process the deprecation period the Portage would prompt that you have to switch to the non-deprecated profile.
Reply With Quote
  #7  
Old 03-06-2011
Member
 
Join Date: Apr 2009
Posts: 967
Re: Gentoo: "emerge --sync" broke portage 2008.x version links on server

Well I was having the same problem which you have mentioned over and I have managed to fix the problem of mine. I have executed following commands on the system of mine and it seems to be working fine for me and I am not having the issue which you have mentioned over here.
Code:
emerge --nodep portage 
emerge --nodep python 
emerge portage 
emerge python
Reply With Quote
Reply

  TechArena Community > Software > Operating Systems
Tags: , , , ,



Thread Tools Search this Thread
Search this Thread:

Advanced Search


Similar Threads for: "Gentoo: "emerge --sync" broke portage 2008.x version links on server"
Thread Thread Starter Forum Replies Last Post
Upgrade 2003 to 2008 "frontpage server extensions are installed" Peter Lawton Windows Server Help 9 10-01-2012 10:59 PM
"Do not display last username" with Remote Desktop on Server 2008 Timothy Windows Server Help 6 11-04-2011 12:38 AM
Server 2008 Local Policy: Log on as batch job "Add user or group" button inactive Jim in Arizona Windows Server Help 3 14-03-2009 08:52 PM
Difference between "Junction points" and "Hard Links" ? Carla Lacrosse Windows XP Support 7 02-03-2009 01:51 AM
Windows Media Player "sync" problem -- files with status "stopped" Theodore Long Media Player 1 15-11-2007 02:13 PM


All times are GMT +5.5. The time now is 03:41 PM.